View Issue Details

IDProjectCategoryView StatusLast Update
0003431SymmetricDSImprovementpublic2018-03-12 08:26
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.5Fixed in Version3.9.5 
Summary0003431: Recovery options for service wrapper
DescriptionAdd option to restart Windows service when the wrapper process dies.

# First failure action (NONE, RESTART)
wrapper.ntservice.failure.action.type.1=RESTART

# Milliseconds to wait before performing the action
wrapper.ntservice.failure.action.delay.1=10000

# Second failure action (NONE, RESTART)
wrapper.ntservice.failure.action.type.2=NONE

# Milliseconds to wait before performing the action
wrapper.ntservice.failure.action.delay.2=0

# Subsequent failure action (NONE, RESTART)
wrapper.ntservice.failure.action.type.3=NONE

# Milliseconds to wait before performing the action
wrapper.ntservice.failure.action.delay.3=0

# Seconds after which to reset the failure count to zero
wrapper.ntservice.failure.reset.period=300

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 b4a143d4

2018-02-19 11:24:34

admin

Details Diff
0003431: Recovery options for service wrapper
0003431
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperConfig.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/jna/Advapi32Ex.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/jna/WinsvcEx.java Diff File

SymmetricDS: 3.9 28452a38

2018-02-22 19:04:18

admin

Details Diff
0003431: Recovery options for service wrapper
0003431
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/jna/WinsvcEx.java Diff File

Issue History

Date Modified Username Field Change
2018-02-19 11:10 elong New Issue
2018-02-19 11:10 elong Status new => assigned
2018-02-19 11:10 elong Assigned To => elong
2018-02-19 11:26 elong Status assigned => resolved
2018-02-19 11:26 elong Resolution open => fixed
2018-02-19 11:26 elong Fixed in Version => 3.9.5
2018-02-19 12:00 admin Changeset attached => SymmetricDS 3.9 b4a143d4
2018-02-22 20:00 admin Changeset attached => SymmetricDS 3.9 28452a38
2018-03-12 08:26 chenson Status resolved => closed